> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a List

> API to permanently delete a list.



## OpenAPI

````yaml PATCH /v1/subscriber_list/{list_id}/delete
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/subscriber_list/{list_id}/delete:
    patch:
      summary: Delete List
      description: API to permanently delete a list.
      operationId: delete-list
      parameters:
        - name: list_id
          in: path
          description: Unique string identifier of the list which you want to delete
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
              schema:
                type: object
                description: Success message when the list is successfully deleted
        '404':
          description: 404 - Not Found
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: 404
                    error_code: not_found
                    type: NotFound
                    message: 'list_id: <list_id> not found'
                    detail: 'list_id: <list_id> not found'
              schema:
                type: object
                description: Error message that the list requested for delete is not found
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.

````